=== modified file 'config/make-lint.py'
--- config/make-lint.py	2009-12-27 06:31:41 +0000
+++ config/make-lint.py	2010-04-13 19:32:59 +0000
@@ -123,7 +123,7 @@
     if not (path.startswith('plugin/') or path.startswith('drizzled/') or
         path.startswith('client/')):
         return False
-    for exclude in ['innobase', 'gnulib', '.pb.', 'bak-header', 'm4',
+    for exclude in ['innobase', 'pbxt', 'gnulib', '.pb.', 'bak-header', 'm4',
         'sql_yacc', 'gperf', 'drizzled/probes.h',
         'drizzled/function_hash.h', 'drizzled/symbol_hash.h',
         'util/dummy.cc', 'drizzled/sql_yacc.h', 'drizzled/configmake.h',

=== modified file 'plugin/pbxt/plugin.am'
--- plugin/pbxt/plugin.am	2010-04-08 16:11:29 +0000
+++ plugin/pbxt/plugin.am	2010-04-13 19:32:59 +0000
@@ -3,73 +3,76 @@
 noinst_LTLIBRARIES+= 		plugin/pbxt/libpbxt.la
 
 noinst_HEADERS+= \
-		plugin/pbxt/src/bsearch_xt.h
-		plugin/pbxt/src/cache_xt.h \
-		plugin/pbxt/src/ccutils_xt.h \
-		plugin/pbxt/src/database_xt.h \
-		plugin/pbxt/src/datadic_xt.h \
-		plugin/pbxt/src/datalog_xt.h \
-		plugin/pbxt/src/filesys_xt.h \
-		plugin/pbxt/src/hashtab_xt.h \
-		plugin/pbxt/src/ha_pbxt.h \
-		plugin/pbxt/src/heap_xt.h \
-		plugin/pbxt/src/index_xt.h \
-		plugin/pbxt/src/linklist_xt.h \
-		plugin/pbxt/src/memory_xt.h \
-		plugin/pbxt/src/myxt_xt.h \
-		plugin/pbxt/src/pthread_xt.h \
-		plugin/pbxt/src/restart_xt.h \
-		plugin/pbxt/src/sortedlist_xt.h \
-		plugin/pbxt/src/strutil_xt.h \
-		plugin/pbxt/src/tabcache_xt.h \
-		plugin/pbxt/src/table_xt.h \
-		plugin/pbxt/src/trace_xt.h \
-		plugin/pbxt/src/thread_xt.h \
-		plugin/pbxt/src/util_xt.h \
-		plugin/pbxt/src/xaction_xt.h \
-		plugin/pbxt/src/xactlog_xt.h \
-		plugin/pbxt/src/lock_xt.h \
-		plugin/pbxt/src/systab_xt.h \
-		plugin/pbxt/src/ha_xtsys.h \
-		plugin/pbxt/src/discover_xt.h \
-		plugin/pbxt/src/pbms.h \
-		plugin/pbxt/src/xt_config.h \
-		plugin/pbxt/src/xt_defs.h \
-		plugin/pbxt/src/xt_errno.h
-
-
-plugin_pbxt_libpbxt_la_CXXFLAGS=	${AM_CXXFLAGS} -DDRIZZLED -Wno-long-long -Wno-overloaded-virtual -Wno-sign-compare -Wno-unused-function
-plugin_pbxt_libpbxt_la_CFLAGS=		${AM_CFLAGS} -DDRIZZLED -std=c99
+                 plugin/pbxt/src/backup_xt.h \
+                 plugin/pbxt/src/bsearch_xt.h \
+                 plugin/pbxt/src/cache_xt.h \
+                 plugin/pbxt/src/ccutils_xt.h \
+                 plugin/pbxt/src/database_xt.h \
+                 plugin/pbxt/src/datadic_xt.h \
+                 plugin/pbxt/src/datalog_xt.h \
+                 plugin/pbxt/src/discover_xt.h \
+                 plugin/pbxt/src/filesys_xt.h \
+                 plugin/pbxt/src/ha_pbxt.h \
+                 plugin/pbxt/src/ha_xtsys.h \
+                 plugin/pbxt/src/hashtab_xt.h \
+                 plugin/pbxt/src/heap_xt.h \
+                 plugin/pbxt/src/index_xt.h \
+                 plugin/pbxt/src/linklist_xt.h \
+                 plugin/pbxt/src/locklist_xt.h \
+                 plugin/pbxt/src/lock_xt.h \
+                 plugin/pbxt/src/memory_xt.h \
+                 plugin/pbxt/src/myxt_xt.h \
+                 plugin/pbxt/src/pbms.h \
+                 plugin/pbxt/src/pthread_xt.h \
+                 plugin/pbxt/src/restart_xt.h \
+                 plugin/pbxt/src/sortedlist_xt.h \
+                 plugin/pbxt/src/strutil_xt.h \
+                 plugin/pbxt/src/systab_xt.h \
+                 plugin/pbxt/src/tabcache_xt.h \
+                 plugin/pbxt/src/table_xt.h \
+                 plugin/pbxt/src/thread_xt.h \
+                 plugin/pbxt/src/trace_xt.h \
+                 plugin/pbxt/src/util_xt.h \
+                 plugin/pbxt/src/xaction_xt.h \
+                 plugin/pbxt/src/xactlog_xt.h \
+                 plugin/pbxt/src/xt_config.h \
+                 plugin/pbxt/src/xt_defs.h \
+                 plugin/pbxt/src/xt_errno.h
+
+
+plugin_pbxt_libpbxt_la_CXXFLAGS=	${AM_CXXFLAGS} -DDRIZZLED -Wno-overloaded-virtual -Wno-sign-compare -Wno-unused-function
+plugin_pbxt_libpbxt_la_CFLAGS=		${AM_CFLAGS} -DDRIZZLED
 
 plugin_pbxt_libpbxt_la_SOURCES= \
-		plugin/pbxt/src/bsearch_xt.cc \
-		plugin/pbxt/src/cache_xt.cc \
-		plugin/pbxt/src/ccutils_xt.cc \
-		plugin/pbxt/src/database_xt.cc \
-		plugin/pbxt/src/datadic_xt.cc \
-		plugin/pbxt/src/datalog_xt.cc \
-		plugin/pbxt/src/filesys_xt.cc \
-		plugin/pbxt/src/hashtab_xt.cc \
-		plugin/pbxt/src/heap_xt.cc \
-		plugin/pbxt/src/index_xt.cc \
-		plugin/pbxt/src/linklist_xt.cc \
-		plugin/pbxt/src/memory_xt.cc \
-		plugin/pbxt/src/myxt_xt.cc \
-		plugin/pbxt/src/pthread_xt.cc \
-		plugin/pbxt/src/restart_xt.cc \
-		plugin/pbxt/src/sortedlist_xt.cc \
-		plugin/pbxt/src/strutil_xt.cc \
-		plugin/pbxt/src/tabcache_xt.cc \
-		plugin/pbxt/src/table_xt.cc \
-		plugin/pbxt/src/trace_xt.cc \
-		plugin/pbxt/src/thread_xt.cc \
-		plugin/pbxt/src/systab_xt.cc \
-		plugin/pbxt/src/ha_xtsys.cc \
-		plugin/pbxt/src/discover_xt.cc \
-		plugin/pbxt/src/util_xt.cc \
-		plugin/pbxt/src/xaction_xt.cc \
-		plugin/pbxt/src/xactlog_xt.cc \
-		plugin/pbxt/src/lock_xt.cc
-
-
-EXTRA_DIST+=			CMakeLists.txt
+                                plugin/pbxt/src/bsearch_xt.cc \
+                                plugin/pbxt/src/cache_xt.cc \
+                                plugin/pbxt/src/ccutils_xt.cc \
+                                plugin/pbxt/src/database_xt.cc \
+                                plugin/pbxt/src/datadic_xt.cc \
+                                plugin/pbxt/src/datalog_xt.cc \
+                                plugin/pbxt/src/discover_xt.cc \
+                                plugin/pbxt/src/filesys_xt.cc \
+                                plugin/pbxt/src/ha_xtsys.cc \
+                                plugin/pbxt/src/hashtab_xt.cc \
+                                plugin/pbxt/src/heap_xt.cc \
+                                plugin/pbxt/src/index_xt.cc \
+                                plugin/pbxt/src/linklist_xt.cc \
+                                plugin/pbxt/src/lock_xt.cc \
+                                plugin/pbxt/src/memory_xt.cc \
+                                plugin/pbxt/src/myxt_xt.cc \
+                                plugin/pbxt/src/pthread_xt.cc \
+                                plugin/pbxt/src/restart_xt.cc \
+                                plugin/pbxt/src/sortedlist_xt.cc \
+                                plugin/pbxt/src/strutil_xt.cc \
+                                plugin/pbxt/src/systab_xt.cc \
+                                plugin/pbxt/src/tabcache_xt.cc \
+                                plugin/pbxt/src/table_xt.cc \
+                                plugin/pbxt/src/thread_xt.cc \
+                                plugin/pbxt/src/trace_xt.cc \
+                                plugin/pbxt/src/util_xt.cc \
+                                plugin/pbxt/src/xaction_xt.cc \
+                                plugin/pbxt/src/xactlog_xt.cc
+
+EXTRA_DIST+= \
+             plugin/pbxt/bin/xtstat_xt.cc \
+             plugin/pbxt/src/backup_xt.cc

=== modified file 'plugin/pbxt/plugin.ini'
--- plugin/pbxt/plugin.ini	2010-04-12 18:24:07 +0000
+++ plugin/pbxt/plugin.ini	2010-04-13 06:54:52 +0000
@@ -21,5 +21,5 @@
 sources=src/ha_pbxt.cc
 load_by_default=no
 libs=plugin/pbxt/libpbxt.la
-cflags=-DDRIZZLED -std=c99
-cxxflags=-DDRIZZLED -Wno-long-long -Wno-overloaded-virtual
+cflags=-DDRIZZLED
+cxxflags=-DDRIZZLED -Wno-overloaded-virtual

